PolicyKit において UID 値のオーバーフローにより任意の systemctl コマンドが実行可能となる脆弱性(Scan Tech Report) | ScanNetSecurity
2023.01.30(月)

PolicyKit において UID 値のオーバーフローにより任意の systemctl コマンドが実行可能となる脆弱性(Scan Tech Report)

Linux/Unix 系の OS の制御に用いられているソフトウェアである PolicyKit に、権限昇格につながる脆弱性が報告されています。

脆弱性と脅威 エクスプロイト
◆概要

Linux/Unix 系の OS の制御に用いられているソフトウェアである PolicyKit に、権限昇格につながる脆弱性が報告されています。攻撃者に脆弱性を悪用されてしまった場合、管理者権限を取得されてしまう可能性があります。

◆分析者コメント

ユーザを追加するにはそもそも管理者権限が必要となるため、脆弱性を悪用するには、オーバーフローを引き起こすほどに大きな UID を持つユーザアカウントが、あらかじめ対象サーバに存在する必要がありますが、あまり現実的な状況であるとは言えません。管理者権限を掌握した後にバックドア用のアカウントを残す手法という意味では興味深い脆弱性ではありますが、UID の大きさが不自然であるため、現実に悪用される可能性は低いと考えられます。可能であれば対策することを推奨します。

◆深刻度(CVSS)

[CVSS v3]
7.0
https://access.redhat.com/security/cve/cve-2018-19788

◆影響を受けるソフトウェア

PolicyKit のバージョン 0.115 以前が当該脆弱性の影響を受けると報告されています。

◆解説

Linux/Unix 系 OS において、システムの権限を制御するためのソフトウェアである PolicyKit において、値検証不備に起因する権限昇格につながる脆弱性が報告されています。
《株式会社ラック デジタルペンテスト部》

関連記事

Scan PREMIUM 会員限定記事

もっと見る

Scan PREMIUM 会員限定記事特集をもっと見る

カテゴリ別新着記事

「経理」「営業」「企画」「プログラミング」「デザイン」と並ぶ、事業で成功するためのビジネスセンスが「セキュリティ」
「経理」「営業」「企画」「プログラミング」「デザイン」と並ぶ、事業で成功するためのビジネスセンスが「セキュリティ」

ページ右上「ユーザー登録」から会員登録すれば会員限定記事を閲覧できます。毎週月曜の朝、先週一週間のセキュリティ動向を総括しふりかえるメルマガをお届け。(写真:ScanNetSecurity 名誉編集長 りく)

×